--- title: Get the status of a security identity provider slug: '119' canonical_url: https://docs.coveo.com/en/119/ collection: index-content source_format: adoc --- # Get the status of a security identity provider You can use the Coveo Platform API to get the status of a security identity provider, including the outcome of the last refresh attempt, the date, and the number of processed identities. Alternatively, you can also get this information from the [Coveo Administration Console](https://docs.coveo.com/en/183/). See [Manage security identities](https://docs.coveo.com/en/1905/) for details. **Request template** ```http GET https://platform.cloud.coveo.com/rest/organizations//securityproviders/ HTTP/1.1 Content-Type: application/json Accept: application/json Authorization: Bearer ``` In the request path: * Replace `` with your [organization ID](https://docs.coveo.com/en/148/). * Replace `` with the ID of the target security identity provider. In the `Authorization` HTTP header: * Replace `` with an access token that grants the **Security identity providers - View** [privilege](https://docs.coveo.com/en/228/) in your Coveo organization. See [Create an API key](https://docs.coveo.com/en/1718#create-an-api-key), [Get the privileges of an access token](https://docs.coveo.com/en/109/), and [Get your Coveo access token](https://docs.coveo.com/en/123/) for details. The body of a successful response (`200 OK`) contains information about the target security identity provider. ## Sample request **Getting the status of a specific security identity provider** ```http GET https://platform.cloud.coveo.com/rest/organizations/mycoveocloudv2organization/securityproviders/mypushsourcesecurityidentityprovider HTTP/1.1 Content-Type: application/json Accept: application/json Authorization: Bearer **********-****-****-****-************ ``` **Successful response - 200 OK** ```json { "id": "mypushsourcesecurityidentityprovider", "name": "mypushsourcesecurityidentityprovider", "displayName": "mypushsourcesecurityidentityprovider", "organizationClusterId": "mycoveocloudv2organization-x3xz5hehgtdarowotab2oekcwa", "type": "EXPANDED", "nodeRequired": false, "caseSensitive": false, "parameters": {}, "cascadingSecurityProviders": { "Email Security Provider": { "id": "Email Security Provider", "name": "Email Security Provider", "type": "EMAIL" } }, "referencedBy": [ { "type": "SOURCE", "id": "mycoveocloudv2organization-rp5rxzbdz753uhndklv2ztkfgy", "attributes": { "id": "mycoveocloudv2organization-rp5rxzbdz753uhndklv2ztkfgy", "name": "MyPushSource", "sourceType": "PUSH", "crawlerInstanceType": "Push", "pushEnabled": true, "onPremisesEnabled": false } } ], "statistics": { "numberOfEntitiesByState": { "UP_TO_DATE": 10, "DISABLED": 0, "NOT_UPDATED": 0, "OUT_OF_DATE": 0, "IN_ERROR": 0 }, "numberOfEntitiesInError": 0, "totalNumberOfEntities": 10 }, "lastRefreshOperation": { "operationType": "SECURITY_CACHE_REFRESH", "timestamp": 1513008128699, "numberOfEntitiesProcessed": 10 }, "currentStatus": { "type": "IDLE" } } ```